4Suite™ API Documentation

# ► Module Ft.Server.Client.Core.XmlDocumentClient

Classes: XmlDocumentClient

## Classes

class XmlDocumentClient(Ft.Server.Client.Core.RawFileClient.RawFileClient)
A specialized raw file resource, that is an XML document

### Methods

expandXLink(self)
Return the content of this resource with all XLinks expanded
getDocumentDefinition(self)
Get the document definition associated with this document
setDocumentDefinition(self, newDocDef)
Reset our document definition and regenerate our self

### Methods inherited from class Ft.Server.Client.Core.RawFileClient.RawFileClient

asSchematron, asStylesheet, getContentResource, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Client.Core.ResourceMetaDataClient.ResourceMetaDataClient

__cmp__, __hash__, __init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContent, getContentSlice, getCreationDate, getDisplayPath, getImt, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, getValidationInfo, hasResource, inheritAcl, isResourceType, markTemporary, pprint, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setContent, setOwner, toXPathContext, verifyAcl, xUpdate